﻿INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (1, N'Supplier Type', N'SupplierType', 3, 1, N'SupplierGetSupplierTypes', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (2, N'Supplier Numbers', N'SupplierNumbers', 3, 8000, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (3, N'OverVariance Types', N'OverVarianceType', 3, 1, N'ReceiptGetOverVarianceTypes', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (4, N'Supplier Number', N'SupplierNumber', 3, 5, N'SupplierGetNumberNames', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (5, N'DRL Number', N'ReceiptNumber', 3, 6, N'', N'\d{6}')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (6, N'Hierarchy Category', N'CategoryNumber', 3, 6, N'HierarchyCategoryGetNumberNames', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (10, N'Event', N'Event', 3, 6, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (11, N'TKEY', N'TKEY', 8, 4, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (21, N'DRL Number (No Mask)', N'ReceiptNumber', 3, 6, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (50, N'Percentage', N'Percentage', 8, 4, N'', N'([1-9])')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (51, N'Cycle Number', N'CycleNumber', 8, 4, N'', N'([1-9])')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (100, N'Date Created', N'Date', 31, 10, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (101, N'Date', N'Date', 31, 10, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (102, N'Start Date', N'DateStart', 31, 10, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (103, N'End Date', N'DateEnd', 31, 10, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (119, N'Till Number', N'TillNumber', 3, 2, NULL, NULL)
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (120, N'TillNumber', N'TillNumber', 3, 2, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (121, N'TranNumber', N'TranNumber', 3, 4, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (122, N'Transaction Number', N'TranNumber', 3, 4, NULL, NULL)
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (200, N'SKU', N'SkuNumber', 3, 6, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (201, N'Stock Log Type Group Ids', N'GroupIds', 3, 20, N'StockLogGetGroups', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (205, N'Non-Stock Deleted Options', N'Status', 3, 1, N'StockGetNonStockDeletedOptions', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (300, N'Show Variances ONLY', N'VariancesOnly', 2, 1, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (350, N'Select Banking Day', N'BankingDate', 31, 10, N'', N'')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (351, N'Amount', N'Amount', 3, 9, NULL, N'(\+|-)?[0-9]+(\.[0-9][0-9]?)?')
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (352, N'Tender Type', N'TenderType', 3, 2, N'TenderTypeGetTypes', NULL)
INSERT [dbo].[ReportParameter] ([Id], [Description], [Name], [DataType], [Size], [LookupValuesProcedure], [Mask]) VALUES (353, N'OVC Transaction Number', N'OVCTranNumber', 3, 20, NULL, NULL)
GO
